{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 59{COM_R 2 0{TEXT 1 23 "Assignment Express
ions\015"}}{COM_R 3 0{TEXT 1 270 "This worksheet is designed to a
ccompany Chapter 3 of \"Introduction to Scientific Programming: C
omputational Problem Solving Using Maple and C\" by Joseph L. Zac
hary.  In it, we will use Maple to explore operator precedence an
d assigment statements in  Maple (AW, Jan 97)\015"}}{SEP_R 4 0}
{SEP_R 5 0}{COM_R 6 0{TEXT 1 207 "\015Assignment.  When a number \+
is used several times in a worksheet, it is better to assign a na
me to that number, rather than retyping it on every occasion.  Th
is eliminates errors and speeds up your workrate."}}{COM_R 7 0
{TEXT 1 223 "\015For example, suppose we are doing computations t
hat involve the population of the earth like we did in Chapter 2.
  Rather than typing the number 5.761e9 every time it is used, we
 can assign its value to a variable, say P:\012"}}{INP_R 8 0 "> "
{TEXT 0 13 "P := 5.761e9;"}}{COM_R 9 0{TEXT 1 62 "\015Similarly, \+
we can assign the land area to a variable, say A:\012"}}{INP_R 10
 0 "> "{TEXT 0 12 "A := 57.8e6;"}}{COM_R 11 0{TEXT 1 169 "\012The
 variables A and P will now retain these values for further compu
tations in this worksheet.  For example,  we can  compute the num
ber of persons per square mile as \015"}}{INP_R 12 0 "> "{TEXT 0 
4 "P/A;"}}{COM_R 13 0{TEXT 1 84 "\012Or we could compute the side
 length of the square (in feet) that each of us get by\012"}}
{INP_R 14 0 "> "{TEXT 0 17 "5280 * sqrt(A/P);"}}{COM_R 15 0{TEXT 
1 150 "\012Note that the colon that precedes the equal to sign is
 an essential part of  the assignment statement; it cannot be ign
ored.  Execute the assignment\012"}}{INP_R 16 0 "> "{TEXT 0 13 "B
 = 14.56e-1;"}}{COM_R 17 0{TEXT 1 28 "\012followed by the express
ion\012"}}{INP_R 18 0 "> "{TEXT 0 4 "2*B;"}}{COM_R 19 0{TEXT 1 
134 "\012That did not help much did it?   Now insert the  colon r
ight before the equals sign and reevaluate these two expressions.
    Better?\015"}}{SEP_R 20 0}{COM_R 21 0{TEXT 1 380 "\015Choosin
g Variable Names.  It is a good strategy to pick descriptive name
s that you can quickly recall.  For example,  suppose we need to \+
solve the population density problem of Chapter 2 for the planets
 Mars and Venus (assuming a means of sustaining the entire popula
tion of the earth on these planets has been found.)    Then it wi
ll be good to name these variables as follows:\012"}}{INP_R 22 0 
"> "{TEXT 0 55 "Aearth := 57.8e6;  Amars := 56.0e6;  Avenus := 17
7.7e6;"}}{COM_R 23 0{TEXT 1 65 "\012(Note how several expressions
 can be entered on the same line.)\015"}}{COM_R 24 0{TEXT 1 193 "
Now return to the expressions P/A and 5280*sqrt(A/P) above.   Re-
execute them, with the appropriate variable inserted in place of \+
A, to solve the population density problem for Mars and Venus.\01
5"}}{SEP_R 25 0}{COM_R 26 0{TEXT 1 180 "\015Special Symbols. Ther
e are a few symbols that have a pre-defined meaning in Maple that
 you may not use as variable names.  Maple will warn you should y
ou transgress.  For example\012"}}{INP_R 27 0 "> "{TEXT 0 8 "Pi :
= 3;"}}{COM_R 28 0{TEXT 1 111 "\012The problem is that the symbol
 Pi is reserved for the mathematical constant 3.14159...  If you \+
evaluate this,\012"}}{INP_R 29 0 "> "{TEXT 0 10 "evalf(Pi);"}}
{COM_R 30 0{TEXT 1 41 "\012You will see the first ten digits of P
i."}}{COM_R 31 0{TEXT 1 58 "\015Observe how you can use Greek let
ters as variable names:\012"}}{INP_R 32 0 "> "{TEXT 0 11 "alpha :
= 1;"}}{COM_R 33 0{TEXT 1 1 "\012"}}{INP_R 34 0 "> "{TEXT 0 13 "o
mega := 100;"}}{COM_R 35 0{TEXT 1 0 ""}}{INP_R 36 0 "> "{TEXT 0 
11 "pi := 22/7;"}}{COM_R 37 0{TEXT 1 265 "\012Notice the differen
ce between this pi and the Pi above.  The lower case pi is simply
 the Greek letter for p, with no special meaning attached to it. \+
 The upper case Pi, on the other hand, stands for the ratio betwe
en the circumference of a circle and its diameter."}}{COM_R 38 0
{TEXT 1 160 "\015A useful built-in Maple variable is Digits.  It \+
allows you to specify the mantissa length for floating-point comp
utations.  The default value of Digits is 10.\012"}}{INP_R 39 0 "
> "{TEXT 0 7 "Digits;"}}{COM_R 40 0{TEXT 1 53 "\012So a ten-digit
 computation of 10/3 looks like this:\012"}}{INP_R 41 0 "> "{TEXT
 0 12 "evalf(10/3);"}}{COM_R 42 0{TEXT 1 33 "\012If we set Digits
 to 2, however,\012"}}{INP_R 43 0 "> "{TEXT 0 12 "Digits := 2;"}}
{COM_R 44 0{TEXT 1 38 "\012We get a result with only two digits\0
12"}}{INP_R 45 0 "> "{TEXT 0 12 "evalf(10/3);"}}{COM_R 46 0{TEXT 
1 29 "\012and if we set Digits to 30,\012"}}{INP_R 47 0 "> "{TEXT
 0 13 "Digits := 30;"}}{COM_R 48 0{TEXT 1 33 "\012we get a result
 with 30 digits.\012"}}{INP_R 49 0 "> "{TEXT 0 12 "evalf(10/3);"}
}{COM_R 50 0{TEXT 1 9 "\012Now try\012"}}{INP_R 51 0 "> "{TEXT 0 
12 "Digits := 2;"}}{COM_R 52 0{TEXT 1 0 ""}}{INP_R 53 0 "> "{TEXT
 0 8 "999 - 1;"}}{COM_R 54 0{TEXT 1 0 ""}}{INP_R 55 0 "> "{TEXT 0
 10 "999. - 1.;"}}{COM_R 56 0{TEXT 1 48 "\012Explain the differen
ce between the two answers."}}{COM_R 57 0{TEXT 1 211 "\015When yo
u experiment with changing the value of Digits, always be sure to
 reset its value to the default value of 10 before continuing.  O
therwise, you may get some unpleasant surprises later in your wor
ksheet.\012"}}{INP_R 58 0 "> "{TEXT 0 13 "Digits := 10;"}}{SEP_R 
59 0}{INP_R 60 0 "> "{TEXT 0 0 ""}}}{END}
