#include <stdio.h>

/* This illustrates multi-way conditionals. */


void main (void) 
{

  /* Example 1.  If/else. */

  if (3 > 2) {
    printf("Statement one\n");
  }
  else {
    printf("Statement two\n");
  }


  /* Example 2.  Another if/else. */

  if (2 > 3) {
    printf("Statement three\n");
  }
  else {
    printf("Statement four\n");
  }


  /* Example 3.  An if/elseif/else. */

  if (2 > 3) {
    printf("Statement five\n");
  }
  else if (2 < 3) {
    printf("Statement six\n");
  }
  else {
    printf("Statement seven\n");
  }


  /* Example 4.  If more than one case is true. */

  if (3 > 2) {
    printf("Statement eight\n");
  }
  else if (4 > 3) {
    printf("Statement nine\n");
  }
  else {
    printf("Statement ten\n");
  }


  /* Example 5.  Two consecutive if statements. */

  if (3 > 2) {
    printf("Statement eleven\n");
  }
  if (4 > 3) {
    printf("Statement twelve\n");
  }
  else {
    printf("Statement eleven\n");
  }


  /* Example 6.  Nested ifs. */

  if (3 > 2) {
  if (4 > 5) {
  printf("Statement thirteen\n");
  }
  else {
  printf("Statement fourteen\n");
  }
  }
  else {
  printf("Statement fifteen\n");
  }

}

  


